### Adsense Plugin

Adsense plugin is part of the html plugin. To use it we need to expose a button with `exposeButtons` and add the `siteDomain`:

#### Usage

##### Editor

```tsx widget
import { htmlButtonsTypes, pluginHtml, RicosEditor } from '@wix/ricos';
import React from 'react';

export default () => {
  return (
    // @essential-start
    <RicosEditor
      placeholder={'Type here'}
      plugins={[
        pluginHtml({
          exposeButtons: [htmlButtonsTypes.adsense],
          siteDomain: 'https://dana.wixsite.com/mysite',
        }),
      ]}
    />
    // @essential-end
  );
};
```

##### `siteDomain` **Required**

Adsense will not work with out the siteDomain

```jsx
siteDomain?: string;
```

##### `exposeButtons` **Required**

The buttons exposed by the plugin

```jsx
exposeButtons?: array;
```

Example value:

```jsx
[htmlButtonsTypes.html, htmlButtonsTypes.adsense];
```
